Results 1 to 6 of 6

Thread: Problem with Updates, "GPG error"

  1. #1
    Join Date
    Mar 2012
    Location
    Charlotte, NC
    Beans
    77
    Distro
    Ubuntu 14.04 Trusty Tahr

    Question Problem with Updates, "GPG error"

    Running Ubuntu 12.04 32-bit on a samsung laptop. I am trying to update my kernel in order to install the kernel with the fix (3.2.31, i think). But whenever I try to run sudo apt-get update I get the following error:


    Fetched 154 kB in 2s (60.9 kB/s)
    Reading package lists... Done
    W: GPG error: http://us.archive.ubuntu.com precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5
    W: GPG error: http://us.archive.ubuntu.com precise-updates Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5
    W: GPG error: http://archive.canonical.com precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5
    W: GPG error: http://security.ubuntu.com precise-security Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5
    W: GPG error: http://extras.ubuntu.com precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 16126D3A3E5C1192
    W: GPG error: http://ppa.launchpad.net precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 83FBA1751378B444
    W: GPG error: http://us.archive.ubuntu.com precise-proposed Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5

    I also tried to update using the update manager, and I get the following error:

    Requires installation of untrusted packages

    The action would require the installation of packages from not authenticated sources.
    ----Details----
    dbus dbus-x11 ghostscript ghostscript-cups ghostscript-x isc-dhcp-client isc-dhcp-common libdbus-1-3 libdbus-1-dev libgs9 libgs9-common linux-headers-3.2.0-31 linux-headers-3.2.0-31-generic-pae linux-headers-generic-pae linux-libc-dev resolvconf software-center tzdata tzdata-java

    Any help is appreciated! Hopefully with this update I will have a bug-free system again (fingers crossed)

  2. #2
    Join Date
    Sep 2012
    Location
    Cardiff, UK
    Beans
    53
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Problem with Updates, "GPG error"

    Did you try googling any of your errors? A simple search for your error message gave the top answer of:

    http://techpad.co.uk/content.php?sid=84

    Which looks promising.

  3. #3
    Join Date
    Mar 2012
    Location
    Charlotte, NC
    Beans
    77
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Problem with Updates, "GPG error"

    By the way, looking at other posts with similar errors, I ran:

    sudo apt-get update
    sudo apt-get clean
    cd /var/lib/apt
    sudo mv lists lists.old
    sudo mkdir -p lists/partial
    sudo apt-get clean
    sudo apt-get update

    no luck

    and also:

    sudo aptitude -o Acquire::http::No-Cache=True -o Acquire::BrokenProxy=true update

    and also no luck.

  4. #4
    Join Date
    Nov 2008
    Beans
    Hidden!

    Re: Problem with Updates, "GPG error"


  5. #5
    wojox is offline I Ubuntu, Therefore, I Am
    Join Date
    Apr 2009
    Beans
    8,630

    Re: Problem with Updates, "GPG error"

    Add the keys back:
    Code:
    gpg --keyserver pgpkeys.mit.edu --recv-key  40976EAF437D05B5     
    gpg -a --export 010908312D230C5F | sudo apt-key add -

  6. #6
    Join Date
    Mar 2012
    Location
    Charlotte, NC
    Beans
    77
    Distro
    Ubuntu 14.04 Trusty Tahr

    Thumbs down Re: Problem with Updates, "GPG error"

    Sweet! Fixed, thanks y'all!

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •